# A/B Street

[![DOI](https://zenodo.org/badge/135952436.svg)](https://zenodo.org/badge/latestdoi/135952436)
[![](https://dcbadge.vercel.app/api/server/nCvMD4xj4K?style=flat)](https://discord.gg/nCvMD4xj4K)

Ever been stuck in traffic on a bus, wondering why is there legal street parking
instead of a dedicated bus lane? A/B Street is a project to plan, simulate, and
communicate visions for making cities friendlier to people walking, biking, and
taking public transit. We create software to
[simulate traffic, edit streets and intersections](https://a-b-street.github.io/docs/software/abstreet.html),
[plan bike networks](https://a-b-street.github.io/docs/software/ungap_the_map/index.html),
create
[low-traffic neighborhoods](https://a-b-street.github.io/docs/software/ltn/index.html),
and educate the public about
[15-minute neighborhoods through games](https://a-b-street.github.io/docs/software/santa.html).
The project works anywhere in the world, thanks to
[OpenStreetMap](https://www.openstreetmap.org/about).

- Run it on [your web browser](http://play.abstreet.org/0.3.36/abstreet.html),
  [Windows](https://github.com/a-b-street/abstreet/releases/download/v0.3.36/abstreet_windows_v0_3_36.zip),
  [Mac](https://github.com/a-b-street/abstreet/releases/download/v0.3.36/abstreet_mac_v0_3_36.zip),
  [Linux](https://github.com/a-b-street/abstreet/releases/download/v0.3.36/abstreet_linux_v0_3_36.zip),
  [FreeBSD](https://www.freshports.org/games/abstreet/), or
  [read all instructions](https://a-b-street.github.io/docs/user/index.html)
- [build from source](https://a-b-street.github.io/docs/tech/dev/index.html)

## Videos

- [Alpha release trailer](https://www.youtube.com/watch?v=LxPD4n_1-LU)
- [Presentations](https://a-b-street.github.io/docs/project/presentations.html)

![](https://a-b-street.github.io/docs/project/history/retrospective/traffic_sim.gif)

## Documentation

- [User guide](https://a-b-street.github.io/docs/user/index.html)
- Technical
  - [Developer guide](https://a-b-street.github.io/docs/tech/dev/index.html)
  - [How the traffic simulation works](https://a-b-street.github.io/docs/tech/trafficsim/discrete_event/index.html)
  - [Intersection geometry](https://a-b-street.github.io/docs/tech/map/geometry/index.html)
- Project
  - [Roadmap](https://a-b-street.github.io/docs/software/ungap_the_map/plan.html#future-directions)
  - [Getting involved](https://a-b-street.github.io/docs/project/contributing.html)
  - [Accomplishments & challenges](https://a-b-street.github.io/docs/project/history/retrospective/index.html)

## Project mission

We amplify the efforts of individuals and advocacy groups who campaign to
transition cities away from private motor vehicles. We believe in transparent
and reproducible analysis, so all of our work is open source and based on public
data. We believe everybody should have a voice in shaping their city, so our
software aims to be easy to use.

Why not leave city planning to professionals? People are local experts on the
small slice of the city they interact with daily -- the one left turn lane that
always backs up or a certain set of poorly timed walk signals.
[Laura Adler](http://www.govtech.com/data/SimCities-Can-City-Planning-Mistakes-Be-Avoided-Through-Data-Driven-Simulations.html)
writes:

> "Only with simple, accessible simulation programs can citizens become active
> generators of their own urban visions, not just passive recipients of options
> laid out by government officials."

Existing urban planning software is either proprietary or hard to use. A/B
Street strives to be highly accessible, by being a fun, engaging game. See
[here](https://a-b-street.github.io/docs/project/motivations.html) for more
guiding principles.

## Credits

Core team:

- Dustin Carlino (<dabreegster@gmail.com>)
- [Yuwen Li](https://www.yuwen-li.com/) (UX)
- [Michael Kirk](https://github.com/michaelkirk)

[See full credits](https://a-b-street.github.io/docs/project/team.html)

Contact <dabreegster@gmail.com> or follow
[@CarlinoDustin](https://twitter.com/CarlinoDustin) for updates.
